package com.hai.service;

import com.hai.entity.HighTySalesman;

import java.util.List;
import java.util.Map;

/**
 * @author hurui
 */
public interface HighTySalesmanService {

    /**
     * 编辑业务员
     * @param tySalesman
     */
    void editTySalesman(HighTySalesman tySalesman);

    /**
     * 增加业务员
     * @param tySalesman
     */
    void addSalesman(HighTySalesman tySalesman) throws Exception;

    /**
     * 修改业务员
     * @param tySalesman
     */
    void updateSalesman(HighTySalesman tySalesman);

    /**
     * 删除业务员
     * @param key
     */
    void delSalesman(String key);

    /**
     * 业务员密码重置
     * @param key
     */
    void salesmanPwdReset(String key);

    /**
     * 根据id 查询详情
     * @param salesmanId
     * @return
     */
    HighTySalesman getDetailById(Long salesmanId);

    /**
     * 根据key 查询详情
     * @param key
     * @return
     */
    HighTySalesman getDetailByKey(String key);

    /**
     * 查询业务员列表
     * @param param
     * @return
     */
    List<HighTySalesman> getSalesmanList(Map<String, Object> param);

}
